LibreOffice: FontRequest Struct Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
FontRequest Struct Reference

This structure contains all information necessary to describe a font to be queried from XCanvas. More...

`import"FontRequest.idl";`

## Public Attributes
FontInfo | FontDescription
| The description of the font. More...
double | CellSize
| The size of the font in device coordinate space. More...
double | ReferenceAdvancement
| This value specifies the size of the font in the writing direction (i.e. More...
::com::sun::star::lang::Locale | Locale
| The locale this font should be able to render. More...

## Detailed Description

This structure contains all information necessary to describe a font to be queried from XCanvas.

Note: Outline fonts are to be requested as a special family, set FontInfo::FamilyName appropriately. Emboss/relief must be emulated by upper layers.

Leave the FontInfo::FamilyName and FontInfo::StyleName empty, if font selection should only happen via the PANOSE description.

Since
  OOo 2.0

## Member Data Documentation

double CellSize

The size of the font in device coordinate space.

This value corresponds to the font height in Western scripts, but is independent of the writing direction (see FontRequest::IsVertical below). That means, the value specified here is always measured orthogonal to the text advancement (height for horizontal writing, and width for vertical writing).

When this value is negative, its absolute value is taken as the character size of the font. If this value is positive, it's taken as the cell size of the font.

This member and the referenceAdvancement member are mutually exclusive, one of them has to be set to 0 (which means don't care).

For distorted fonts, the render transformation must be used. That is, the size specified here corresponds to device pixel only if the combined render transformation during text output equals the identity transform. This also applies to all query methods, for both XCanvasFont and XTextLayout.

FontInfo FontDescription

The description of the font.

This member contains the description of the font as returned by the font listing methods.

::com::sun::star::lang::Locale Locale

The locale this font should be able to render.

This member supplements the FontInfo::UnicodeRange0 entry with a specific locale; this is e.g. important when selecting between traditional and simplified Chinese is necessary (since the letters have the same Unicode ranges and character values).

double ReferenceAdvancement

This value specifies the size of the font in the writing direction (i.e.

width for horizontal writing, and height for vertical writing).

It is equivalent to the referenceCharSize of the FontMetrics structure.

This member and the cellSize member are mutually exclusive, one of them has to be set to 0 (which means don't care). For distorted fonts, the font matrix must be used.

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/FontRequest.idl